--- uucp.SlackBuild	2003-06-05 18:01:00.000000000 -0400
+++ uucp.SlackBuild.s390x	2006-08-04 02:32:04.000000000 -0400
@@ -7,9 +7,19 @@
 PKG=$TMP/package-uucp
 
 VERSION=1.07
-ARCH=i486
+ARCH=${ARCH:-i486}
 BUILD=1
 
+if [ "$ARCH" = "i386" ]; then
+  SLKCFLAGS="-O2 -march=i386 -mcpu=i686"
+elif [ "$ARCH" = "i486" ]; then
+  SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "s390" ]; then
+  SLKCFLAGS="-O2"
+elif [ "$ARCH" = "x86_64" ]; then
+  SLKCFLAGS="-O2"
+fi
+
 if [ ! -d $TMP ]; then
   mkdir -p $TMP # location to build the source
 fi
@@ -25,7 +35,8 @@
 tar xzvf $CWD/uucp-$VERSION.tar.gz
 cd uucp-$VERSION
 zcat $CWD/policy.h.diff.gz | patch -p1 --verbose
-CFLAGS="-O2 -march=i486 -mcpu=i686" ./configure \
+CFLAGS="$SLKCFLAGS" \
+  ./configure \
   --prefix=/usr \
   --with-oldconfigdir=/etc/uucp/oldconfig \
   --with-newconfigdir=/etc/uucp
